{ lib
, stdenv
, fetchurl
, pkgs
}:

stdenv.mkDerivation rec {
  pname = "drawterm";
  version = "6.9";
  src = fetchurl {
    url = "http://git.9front.org/git/plan9front/drawterm/c97fe4693f6112504d6f13fab46f7cc8b27685c1/snap.tar.gz";
    sha256 = "n2gBCvJycSP3ZODmainotc2JTb4laWcGDhxstZabzI4=";
  };
  # tag for buildtime
  CONF = "unix";
  buildInputs = with pkgs; [
    x11
  ];
  installPhase = ''
    mkdir -p $out/bin
    cp drawterm $out/bin/drawterm
  '';
  meta = {
    description = "A program for connecting remotely to plan9 systems";
    longDescription = ''
      drawterm is a program for remotely connecting to plan9 systems, giving a graphical interface, and allowing mounting of filesystems over the network.
    '';
    homepage = "http://drawterm.9front.org/";
    platforms = lib.platforms.all;
  };
}
