{ lib, pkgs, ... }: {

  #################################
  # user level home configuration #
  #################################

  # this file *should* contain:
  #  * a list of programs i want
  #  * definitions of any files i need in a certain place
  #  * user specific program configuration
  #
  # this file should *not* contain:
  #  * default program configuration that is not user specific

  imports = [
    ../../modules/bspwm/home.nix
    ../../modules/urxvt/home.nix
    ../../modules/picom/home.nix
    ../../modules/zsh/home.nix

    ./fonts/home.nix
    ./xresources.nix
  ];

  home = {

    # keyboard layout, v v important
    keyboard.layout = "dvorak";

    # packages that are needed
    packages = with pkgs; [

      # system stuff
      unzip
      htop gotop
      neofetch scrot
      git
      zip p7zip
      tmux

      # essential things
      cowsay fortune

      # editors
      libreoffice

      # web stuff
      elinks qutebrowser
      transmission-gtk
      profanity weechat
      youtube-dl

      # media
      krita
      imagemagick
      ncmpcpp
      aseprite
      calibre
      zathura
      mpv
      ncmpcpp
      texlive.combined.scheme-full

      # prog
      rgbds sameboy
      racket
      stack ghc
      idris idris2

      # games
      nethack crawl crawlTiles
      sgtpuzzles
      wine
      qgo gnugo
      openttd dwarf-fortress
      minetest

      # freeSO stuff
      lutris cabextract mono SDL2 wget

    ];


  };
    services.syncthing.enable = true;

}
